commit: d0e97421233d72c18281cadd8f96bed7a25585af
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 20 12:07:14 2025 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Nov 20 12:51:53 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0e97421
dev-qt/qtlocation: add 6.10.1
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
dev-qt/qtlocation/Manifest | 1 +
dev-qt/qtlocation/qtlocation-6.10.1.ebuild | 44 ++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index b5b9ab509b49..a9cf7d1ffa44 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1,2 +1,3 @@
DIST qtlocation-everywhere-src-6.10.0.tar.xz 3150972 BLAKE2B
9a279e4c1ff2845aa7a4dcd4de857c282bcc3710885078904856314f49a0dd7d005762a24b1aee5a2153c124a9c661990a351a6ad82d9b776042e2f544152347
SHA512
fc8c0e9bca7d8c47ecde8827bb348c1cd20a4ec97e60871746a8a6fc11f47e72a76cce73b6672436ae6bdc110b1b433401243f64dcc9a28ccc906fa27d6393de
+DIST qtlocation-everywhere-src-6.10.1.tar.xz 3151780 BLAKE2B
e2307209957dbfe2d021555ae47fd7b9ddfb00777aa2d3ef0aeb8bf882c2f89e67730917c8ddd30b79f3f501432461c28e3fb51307726e35d9d450113f6a14f3
SHA512
e2b0fc3bc68d6a39d56832aba396d9711e7a287970a4a83ad984997e0a9454ac66bd054386d03e3afba8c4c89bdd3486f5b319a2462dc92716d2779074cfc0ac
DIST qtlocation-everywhere-src-6.9.3.tar.xz 3149208 BLAKE2B
1d16e9ee7bbf240f5d67e46c29f919ba8668ade8e18a4097a3a57869986e0056526da0889078ad366ca59c7a94fc45100348bb0cf5c8ccc07f34311ceef0f533
SHA512
230ba0fe5a57407a95dab43e6e9afe21cad70220972ad03bfcc2d258cc42b4fe0ad8a6becaa212d5cf1e9c07a45c3275515ee01b8b47930dda3accb634519ee8
diff --git a/dev-qt/qtlocation/qtlocation-6.10.1.ebuild
b/dev-qt/qtlocation/qtlocation-6.10.1.ebuild
new file mode 100644
index 000000000000..4685eef8061e
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-6.10.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ ~dev-qt/qtbase-${PV}:6[network]
+ ~dev-qt/qtdeclarative-${PV}:6
+ ~dev-qt/qtpositioning-${PV}:6[qml]
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+ # ignores QML_IMPORT_PATH (unlike other tests) and looks in
+ # the missing builddir/qml, skip rather than work around
+ tst_declarative_ui
+)
+
+src_install() {
+ qt6-build_src_install
+
+ if use test; then
+ local delete=( # sigh
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*TestGeoServicePlugin*.cmake
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*UnsupportedPlacesGeoServicePlugin*.cmake
+
"${D}${QT6_LIBDIR}"/cmake/Qt6Qml/QmlPlugins/*declarative_location_test*.cmake
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_geocodingplugin.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_placesplugin_unsupported.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_qmltestplugin.so
+
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_routingplugin.so
+ "${D}${QT6_QMLDIR}"/QtLocation/Test
+ )
+ # using -f given not tracking which tests may be skipped or not
+ rm -rf -- "${delete[@]}" || die
+ fi
+}